Bug 80932 - systemd-timesyncd[301]: Assertion 'm->current_server_name' failed
Summary: systemd-timesyncd[301]: Assertion 'm->current_server_name' failed
Status: RESOLVED FIXED
Alias: None
Product: systemd
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: systemd-bugs
QA Contact: systemd-bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-04 23:00 UTC by Michael Reed
Modified: 2014-07-15 00:27 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Reed 2014-07-04 23:00:24 UTC
This error appears on Arch Linux using systemd-214-2, the full message is here, among other things:

$ journalctl -u systemd-timesyncd.service -b
-- Logs begin at Sat 2014-06-07 23:17:28 EDT, end at Fri 2014-07-04 18:43:14 EDT. --
Jul 04 17:46:03 orchid systemd[1]: Starting Network Time Synchronization...
Jul 04 17:46:03 orchid systemd[1]: Started Network Time Synchronization.
Jul 04 17:46:22 orchid systemd-timesyncd[301]: System time changed. Resyncing.
Jul 04 17:46:22 orchid systemd-timesyncd[301]: Assertion 'm->current_server_name' failed at src/timesync/timesyncd.c:235, function manager_send_request(). Aborting.
Jul 04 17:46:22 orchid systemd[1]: systemd-timesyncd.service: main process exited, code=killed, status=6/ABRT
Jul 04 17:46:22 orchid systemd[1]: Unit systemd-timesyncd.service entered failed state.
Jul 04 17:46:22 orchid systemd[1]: systemd-timesyncd.service has no holdoff time, scheduling restart.
Jul 04 17:46:22 orchid systemd[1]: Stopping Network Time Synchronization...
Jul 04 17:46:22 orchid systemd[1]: Starting Network Time Synchronization...
Jul 04 17:46:22 orchid systemd[1]: Started Network Time Synchronization.
Jul 04 18:03:27 orchid systemd[1]: systemd-timesyncd.service: main process exited, code=killed, status=6/ABRT
Jul 04 18:03:27 orchid systemd[1]: Unit systemd-timesyncd.service entered failed state.
Jul 04 18:03:27 orchid systemd[1]: systemd-timesyncd.service has no holdoff time, scheduling restart.
Jul 04 18:03:27 orchid systemd[1]: Stopping Network Time Synchronization...
Jul 04 18:03:27 orchid systemd[1]: Starting Network Time Synchronization...
Jul 04 18:03:27 orchid systemd[1]: Started Network Time Synchronization.

Running systemctl status systemd-timesyncd reports that it's state as "active (running)", so I assume it's working after being restarted, although I'm not sure.

Is this something that you can recall being fixed in systemd-215? If so I can just hold off until 215 hits the stable repos and see if the error is printed (it happens every boot).
Comment 1 Steven Allen 2014-07-12 20:37:54 UTC
This bug is still present in 215 (also running Arch). As far as I can tell, this happens because systemd-timesyncd believes that the network is up when it isn't.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.